Name:				octopus-load-balancer
Version:			1.06
Release:			2.3
Summary:			General Purpose TCP Load Balancer
Source:		 		octopus-load-balancer-%{version}.tar.gz
URL:				http://octopusloadbalancer.net/
Group:				Productivity/Networking/Web/Proxy
License:			GNU General Public License (GPL)
BuildRoot:			%{_tmppath}/build-%{name}-%{version}
BuildRequires:			net-snmp-devel gcc make glibc-devel pkgconfig autoconf automake libtool automake gcc-c++

%description
Octopus is a general purpose TCP load balancer for Linux. It is intended to be
placed between your cache and your application servers but is just as happy
running at the front end of a system.

Octopus boasts the following features;
* runs as a single process giving the fastest possible response times
* a separate process monitors application server health to automatically
  disable/enable servers if their state changes
* four different load balancing algorithms to choose from:
* uses shared memory (SHM) allowing a separate administration binary to
  dynamically reconfigure the running application
* administration binary runs as an interactive shell-type program with usage
  examples and help information
* environment cloning
* ability to place limits on maximum number of connections and maximum
  UNIX-load an application server will handle
* can run many instances of Octopus on the same host
* a SQUID-style configuration file
* can use separate network interfaces for listening port and outbound ports
* logging with 5 levels of verbosity




Authors:
--------
    Alistair Reay <alreay1@gmail.com>

%prep
%setup -q

%build
%configure
make 

%install
%makeinstall

%__install -d -m0700 "%{buildroot}%{_var}/run/octopus"

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG COPYING COPYRIGHT README TODO
%config(noreplace) %{_sysconfdir}/octopus.conf
%{_bindir}/octopus-client
%{_bindir}/octopus-server
%{_var}/run/octopus

%changelog
